Index: /LMDZ4/trunk/libf/dyn3d/control.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3d/control.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3d/control.h	(revision 792)
@@ -2,17 +2,23 @@
 ! $Header$
 !
-c-----------------------------------------------------------------------
-c INCLUDE 'control.h'
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez à n'utiliser que des ! pour les commentaires
+!                 et à bien positionner les & des lignes de continuation 
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!-----------------------------------------------------------------------
+! INCLUDE 'control.h'
 
-      COMMON/control/nday,day_step,
-     .              iperiod,iapp_tracvl,iconser,iecri,idissip,iphysiq ,
-     .              periodav,ecritphy,iecrimoy,dayref,anneeref,
-     .              raz_date,offline,ip_ebil_dyn
+      COMMON/control/nday,day_step,                                     &
+     &              iperiod,iapp_tracvl,iconser,iecri,idissip,iphysiq , &
+     &              periodav,ecritphy,iecrimoy,dayref,anneeref,         &
+     &              raz_date,offline,ip_ebil_dyn
 
-      INTEGER   nday,day_step,iperiod,iapp_tracvl,iconser,iecri,
-     .          idissip,iphysiq,iecrimoy,dayref,anneeref, raz_date
-     .          ,ip_ebil_dyn
+      INTEGER   nday,day_step,iperiod,iapp_tracvl,iconser,iecri,        &
+     &          idissip,iphysiq,iecrimoy,dayref,anneeref, raz_date      &
+     &          ,ip_ebil_dyn
       REAL periodav, ecritphy
       logical offline
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: /LMDZ4/trunk/libf/dyn3d/paramet.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3d/paramet.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3d/paramet.h	(revision 792)
@@ -2,6 +2,13 @@
 ! $Header$
 !
-c-----------------------------------------------------------------------
-c   INCLUDE 'paramet.h'
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!
+!-----------------------------------------------------------------------
+!   INCLUDE 'paramet.h'
 
       INTEGER  iip1,iip2,iip3,jjp1,llmp1,llmp2,llmm1
@@ -10,6 +17,6 @@
       INTEGER jcfil,jcfllm
 
-      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3
-     s    ,jjp1=jjm+1-1/jjm)
+      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3                &
+     &    ,jjp1=jjm+1-1/jjm)
       PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
       PARAMETER( kftd  = iim/2 -ndm )
@@ -20,3 +27,3 @@
       PARAMETER( jcfil=jjm/2+5, jcfllm=jcfil*llm )
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: /LMDZ4/trunk/libf/dyn3d/temps.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3d/temps.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3d/temps.h	(revision 792)
@@ -1,4 +1,9 @@
 !
 ! $Header$
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
 !
 !
@@ -6,6 +11,6 @@
 ! INCLUDE 'temps.h'
 
-      COMMON/temps/itaufin, dt, day_ini, day_end, annee_ref, day_ref,
-     .             itau_dyn, itau_phy
+      COMMON/temps/itaufin, dt, day_ini, day_end, annee_ref, day_ref,   &
+     &             itau_dyn, itau_phy
 
       INTEGER   itaufin
Index: /LMDZ4/trunk/libf/dyn3d/write_paramLMDZ_dyn.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 792)
@@ -2,5 +2,4 @@
       ndex2d = 0
       itau_dyn=itau_dyn+itau
-      print*,'write_paramLMDZ_dyn :itau_dyn=',itau_dyn
 c
       zx_tmp_2d(1:iip1,1:jjp1)=FLOAT(prt_level) 
Index: /LMDZ4/trunk/libf/dyn3dpar/bands.F90
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/bands.F90	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/bands.F90	(revision 792)
@@ -33,6 +33,5 @@
     implicit none
 
-    include "dimensions90.h"
-!#include "paramet90.h"   
+    include "dimensions.h"
       integer :: i,j
       character (len=4) :: siim,sjjm,sllm,sproc
@@ -93,5 +92,5 @@
      USE mod_phys_lmdz_para, ONLY : jj_para_begin,jj_para_end
      IMPLICIT NONE
-     INCLUDE 'dimensions90.h'    
+     INCLUDE 'dimensions.h'    
      INTEGER :: i
         
@@ -376,5 +375,5 @@
     USE parallel
     implicit none
-    include "dimensions90.h"
+    include "dimensions.h"
 
       integer :: i,j
Index: /LMDZ4/trunk/libf/dyn3dpar/control.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/control.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/control.h	(revision 792)
@@ -2,17 +2,23 @@
 ! $Header$
 !
-c-----------------------------------------------------------------------
-c INCLUDE 'control.h'
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez à n'utiliser que des ! pour les commentaires
+!                 et à bien positionner les & des lignes de continuation 
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!-----------------------------------------------------------------------
+! INCLUDE 'control.h'
 
-      COMMON/control/nday,day_step,
-     .              iperiod,iapp_tracvl,iconser,iecri,idissip,iphysiq ,
-     .              periodav,ecritphy,iecrimoy,dayref,anneeref,
-     .              raz_date,offline,ip_ebil_dyn
+      COMMON/control/nday,day_step,                                     &
+     &              iperiod,iapp_tracvl,iconser,iecri,idissip,iphysiq , &
+     &              periodav,ecritphy,iecrimoy,dayref,anneeref,         &
+     &              raz_date,offline,ip_ebil_dyn
 
-      INTEGER   nday,day_step,iperiod,iapp_tracvl,iconser,iecri,
-     .          idissip,iphysiq,iecrimoy,dayref,anneeref, raz_date,
-     .          ip_ebil_dyn 
+      INTEGER   nday,day_step,iperiod,iapp_tracvl,iconser,iecri,        &
+     &          idissip,iphysiq,iecrimoy,dayref,anneeref, raz_date      &
+     &          ,ip_ebil_dyn
       REAL periodav, ecritphy
       logical offline
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: /LMDZ4/trunk/libf/dyn3dpar/mod_hallo.F90
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/mod_hallo.F90	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/mod_hallo.F90	(revision 792)
@@ -119,6 +119,6 @@
   implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -141,6 +141,6 @@
   implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -166,6 +166,6 @@
   
       implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -215,6 +215,6 @@
   
       implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -268,6 +268,6 @@
   
       implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -334,6 +334,6 @@
       implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
       include 'mpif.h'
 
@@ -423,6 +423,6 @@
    implicit none
    
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
       include 'mpif.h'   
       
@@ -505,6 +505,6 @@
    implicit none
    
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
       include 'mpif.h'   
       
@@ -546,6 +546,6 @@
    implicit none
    
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
       include 'mpif.h'   
       
@@ -610,6 +610,6 @@
   
       implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -644,6 +644,6 @@
   
       implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
Index: /LMDZ4/trunk/libf/dyn3dpar/mod_interface_dyn_phys.F90
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/mod_interface_dyn_phys.F90	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/mod_interface_dyn_phys.F90	(revision 792)
@@ -9,5 +9,5 @@
     USE mod_phys_lmdz_mpi_data
     IMPLICIT NONE
-    include 'dimensions90.h'    
+    include 'dimensions.h'    
     
     INTEGER :: i,j,k
Index: /LMDZ4/trunk/libf/dyn3dpar/parallel.F90
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/parallel.F90	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/parallel.F90	(revision 792)
@@ -34,6 +34,6 @@
       
       include 'mpif.h'
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
 
 #ifdef CPP_COUPLE
@@ -114,6 +114,6 @@
     implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
 
       INTEGER,dimension(0:MPI_Size-1) :: jj_Nb_New
@@ -150,6 +150,6 @@
     implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
       integer :: ierr
       integer :: i
@@ -174,6 +174,6 @@
     implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
 
       integer, intent(in) :: ij,ll,row
@@ -197,6 +197,6 @@
     implicit none
 
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
 
       integer, intent(in) :: ij,ll,row
@@ -221,6 +221,6 @@
     USE Vampir
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -325,6 +325,6 @@
     subroutine Gather_Field(Field,ij,ll,rank)
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -393,6 +393,6 @@
     subroutine AllGather_Field(Field,ij,ll)
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -408,6 +408,6 @@
    subroutine Broadcast_Field(Field,ij,ll,rank)
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
@@ -425,6 +425,6 @@
   Subroutine verif_hallo(Field,ij,ll,up,down)
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"    
+#include "dimensions.h"
+#include "paramet.h"    
     include 'mpif.h'
     
Index: /LMDZ4/trunk/libf/dyn3dpar/paramet.h
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/paramet.h	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/paramet.h	(revision 792)
@@ -2,6 +2,13 @@
 ! $Header$
 !
-c-----------------------------------------------------------------------
-c   INCLUDE 'paramet.h'
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!
+!-----------------------------------------------------------------------
+!   INCLUDE 'paramet.h'
 
       INTEGER  iip1,iip2,iip3,jjp1,llmp1,llmp2,llmm1
@@ -10,6 +17,6 @@
       INTEGER jcfil,jcfllm
 
-      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3
-     s    ,jjp1=jjm+1-1/jjm)
+      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3                &
+     &    ,jjp1=jjm+1-1/jjm)
       PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
       PARAMETER( kftd  = iim/2 -ndm )
@@ -20,3 +27,3 @@
       PARAMETER( jcfil=jjm/2+5, jcfllm=jcfil*llm )
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
Index: DZ4/trunk/libf/dyn3dpar/temps.inc
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/temps.inc	(revision 791)
+++ 	(revision )
@@ -1,17 +1,0 @@
-!
-! $Header$
-!
-!
-!
-!-----------------------------------------------------------------------
-! INCLUDE 'temps.h'
-
-      COMMON/temps/itaufin, dt, &
-     &  day_ini, day_end, annee_ref, day_ref, itau_dyn, itau_phy
-
-      INTEGER  itaufin
-      INTEGER*4 itau_dyn, itau_phy
-      INTEGER*4 day_ini, day_end, annee_ref, day_ref
-      REAL     dt
-!$OMP THREADPRIVATE(/temps/)
-!-----------------------------------------------------------------------
Index: /LMDZ4/trunk/libf/dyn3dpar/times.F90
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/times.F90	(revision 791)
+++ /LMDZ4/trunk/libf/dyn3dpar/times.F90	(revision 792)
@@ -27,6 +27,6 @@
     use parallel
     implicit none
-#include "dimensions90.h"
-#include "paramet90.h"
+#include "dimensions.h"
+#include "paramet.h"
     
     max_size=jjm+1
Index: /LMDZ4/trunk/makegcm
===================================================================
--- /LMDZ4/trunk/makegcm	(revision 791)
+++ /LMDZ4/trunk/makegcm	(revision 792)
@@ -36,10 +36,10 @@
 #set LMDGCM=/workdir/p86cozic/INCA_dev/LMDZ4
 #setenv LIBOGCM $LMDGCM/libo
+set INCALIB=../INCA3/config/lib
 #set LMDGCM="`pwd`"
-set INCALIB=../INCA3/config/lib
 #setenv LIBOGCM $LMDGCM/libo
 #
-#setenv IOIPSLDIR /u/fairhead/modipsl_ioipsl_3/lib
-#setenv MODIPSLDIR /u/fairhead/modipsl_ioipsl_3/lib
+#setenv IOIPSLDIR /u/fairhead/modipsl_ioipsl_3/lib_i4r4_32bits
+#setenv MODIPSLDIR /u/fairhead/modipsl_ioipsl_3/lib_i4r4_32bits
 #setenv NCDFINC /distrib/local/netcdf/pgi_32bits/include
 #setenv NCDFLIB /distrib/local/netcdf/pgi_32bits/lib/
@@ -764,24 +764,4 @@
 # On adapte d'abord certains include à F90
 ##########################################
-#sed -e 's/^c/\!/' $libf/grid/dimensions.h >! $libf/grid/dimensions90.tmp
-#if ( ! -f $libf/grid/dimensions90.h || `diff $libf/grid/dimensions90.tmp $libf/grid/dimensions90.h | wc -w` ) then
-#      \mv $libf/grid/dimensions90.tmp $libf/grid/dimensions90.h
-#endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     s/) {if (NR > 1) print p0," &"; sub ("     s","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d${FLAG_PARA}/paramet.h >! $libf/dyn3d${FLAG_PARA}/paramet90.tmp
-if ( ! -f $libf/dyn3d${FLAG_PARA}/paramet90.h || `diff $libf/dyn3d${FLAG_PARA}/paramet90.tmp $libf/dyn3d${FLAG_PARA}/paramet90.h | wc -w` ) then
-      \mv $libf/dyn3d${FLAG_PARA}/paramet90.tmp $libf/dyn3d${FLAG_PARA}/paramet90.h
-endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     \./) {if (NR > 1) print p0," &"; sub ("     \.","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d${FLAG_PARA}/control.h >! $libf/dyn3d${FLAG_PARA}/control.tmp
-if ( ! -f $libf/dyn3d${FLAG_PARA}/control.inc  || `diff $libf/dyn3d${FLAG_PARA}/control.tmp $libf/dyn3d${FLAG_PARA}/control.inc | wc -w` ) then
-      \mv $libf/dyn3d${FLAG_PARA}/control.tmp $libf/dyn3d${FLAG_PARA}/control.inc
-endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     S/) {if (NR > 1) print p0," &"; sub ("     S","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/phylmd/YOMCST.h >! $libf/phylmd/YOMCST.tmp
-if ( ! -f $libf/phylmd/YOMCST.inc  || `diff $libf/phylmd/YOMCST.tmp $libf/phylmd/YOMCST.inc | wc -w` ) then
-      \mv $libf/phylmd/YOMCST.tmp $libf/phylmd/YOMCST.inc
-endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     S/) {if (NR > 1) print p0," &"; sub ("     S","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/phylmd/clesphys.h >! $libf/phylmd/clesphys.tmp
-if ( ! -f $libf/phylmd/clesphys.inc  || `diff $libf/phylmd/clesphys.tmp $libf/phylmd/clesphys.inc | wc -w` ) then
-      \mv $libf/phylmd/clesphys.tmp $libf/phylmd/clesphys.inc
-endif
 ##########################################
 cd $model
@@ -851,5 +831,5 @@
    set f90=$FC_LINUX
    if ( $FC_LINUX == 'pgf90' ) then
-   set opt_link=" -L$MODIPSLDIR $link_veget -L$NCDFLIB -lioipsl -lnetcdf -Wl,-Bstatic -L/usr/lib/gcc-lib/i386-linux/2.95.2/"
+   set opt_link=" -L$MODIPSLDIR $link_veget -L$NCDFLIB -lioipsl -lnetcdf "
    else if ($FC_LINUX == 'g95') then
      set opt_link="-L$MODIPSLDIR $link_veget -lioipsl -L$NCDFLIB -lnetcdf -lioipsl -lnetcdf "