Index: /LMDZ4/trunk/libf/phytherm/calcul_simulISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phytherm/calcul_simulISCCP.h	(revision 831)
+++ /LMDZ4/trunk/libf/phytherm/calcul_simulISCCP.h	(revision 832)
@@ -10,5 +10,5 @@
 c
       nbapp_isccp=30 !appel toutes les 15h
-      isccppas=NINT((itap*dtime)/3600.) !Nb. d'heures de la physique
+cIM 170107      isccppas=NINT((itap*dtime)/3600.) !Nb. d'heures de la physique
       freqin_pdt(n)=ifreq_isccp(n)
 c
Index: /LMDZ4/trunk/libf/phytherm/ini_histISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phytherm/ini_histISCCP.h	(revision 831)
+++ /LMDZ4/trunk/libf/phytherm/ini_histISCCP.h	(revision 832)
@@ -15,5 +15,7 @@
 cIM 300505     zstophy = dtime 
 c appel du simulateur toutes les 3heures
-          zcals(1) = dtime *6.  !toutes les 3h (en s)
+!IM on lit la frequence d'appel dans physiq.def
+!         zcals(1) = dtime *6.  !toutes les 3h (en s)
+          zcals(1) = freq_ISCCP !toutes les freq_ISCCP secondes
         DO n=1, napisccp
           zcalh(n) = zcals(n)/3600. !stoutes les Xh (en heures)
@@ -29,5 +31,7 @@
 c       IF(freqout_isccp.EQ.1.) THEN
 c ecriture jounaliere
-          zout_isccp(1) = ecrit_day !(en s)
+!IM on ecrit les resultats du simulateur ISCCP toutes les 
+! ecrit_ISCCP secondes      zout_isccp(1) = ecrit_day !(en s)
+          zout_isccp(1) = ecrit_ISCCP !(en s)
 c ecriture mensuelle
 c         zout = dtime * ecrit_mth !(en s)
@@ -37,5 +41,10 @@
 c le nombre de sous-colonnes ncol : ncol=(100.*zcalh)/zoutd
           ncol(n)=NINT((100.*zcalh(n))/zoutj(n))
-          PRINT*,'n ncol',n,ncol(n)
+          IF(ncol(n).GT.ncolmx) THEN
+           PRINT*,'Warning: Augmenter le nombre colonnes du simulateur'
+           PRINT*,'         ISCCP ncol=', ncol,' ncolmx=',ncolmx
+c          PRINT*,'n ncol',n,ncol(n)
+           CALL abort
+          ENDIF
 c
         DO l=1, ncol(n)
@@ -80,5 +89,5 @@
 cym          enddo
 c
-          print*,'On stoke le fichier histISCCP instantanne sur ',
+          print*,'On stoke le fichier histISCCP sur ',
      s   imin_ins,imax_ins,jmin_ins,jmax_ins
 cym          print*,'On stoke le fichier histISCCP instantanne sur ',
@@ -94,5 +103,4 @@
          CALL histbeg_phy("histISCCP.nc", itau_phy, zjulian, dtime,
      .                 nhori, nid_isccp)
-
         ENDIF !(1.EQ.0) THEN
 c
@@ -106,5 +114,4 @@
          CALL histbeg_phy("histISCCP.nc", itau_phy, zjulian, dtime,
      .                 nhori, nid_isccp)
-
 c
         IF(type_run.EQ."ENSP".OR.type_run.EQ."CLIM") THEN
@@ -128,5 +135,5 @@
 c
          DO k=1, kmaxm1
-          CALL histdef(nid_isccp, "cldISCCP_"//taulev(k)//typinout(n),
+          CALL histdef(nid_isccp, "cldISCCP_"//taulev(k)//verticaxe(n),
      .                "LMDZ ISCCP cld", "%",
      .                iim, jj_nb,nhori,lmaxm1,1,lmaxm1,nvert,32,
@@ -134,5 +141,5 @@
          ENDDO
 c
-         CALL histdef(nid_isccp, "nsunlit"//typinout(n),
+         CALL histdef(nid_isccp, "nsunlit"//verticaxe(n),
      .                "Nb of calls with sunlit ", "%",
      .                iim, jj_nb,nhori,1,1,1,-99,32,
@@ -150,5 +157,5 @@
            DO l=1, lmaxm1
 c
-           CALL histdef(nid_isccp, pclev(l)//taulev(k)//typinout(n),
+           CALL histdef(nid_isccp, pclev(l)//taulev(k)//verticaxe(n),
      .                "LMDZ ISCCP cld "//cnameisccp(l,k), "%",
      .                iim, jj_nb,nhori,1,1,1,-99,32,
@@ -159,5 +166,5 @@
 c
 c         print*,'n=',n,' avant histdef(..Nb of calls sunlit'
-          CALL histdef(nid_isccp, "nsunlit"//typinout(n),
+          CALL histdef(nid_isccp, "nsunlit"//verticaxe(n),
      .                "Nb of calls with sunlit ", "%",
      .                iim, jj_nb,nhori,1,1,1,-99,32,
Index: /LMDZ4/trunk/libf/phytherm/write_histISCCP.h
===================================================================
--- /LMDZ4/trunk/libf/phytherm/write_histISCCP.h	(revision 831)
+++ /LMDZ4/trunk/libf/phytherm/write_histISCCP.h	(revision 832)
@@ -20,10 +20,10 @@
 cIM: champ 3d : (lon,lat,pres) pour un tau fixe
 c
-       CALL histwrite_phy(nid_isccp,"cldISCCP_"//taulev(k)//typinout(n),
+       CALL histwrite_phy(nid_isccp,"cldISCCP_"//taulev(k)//verticaxe(n),
      .                  itau_w,zx_tmp_fi3d)
         ENDDO !k
 c
 cym        CALL gr_fi_ecrit(1, klon,iim,jjmp1,nbsunlit(1,:,n),zx_tmp_2d)
-        CALL histwrite_phy(nid_isccp,"nsunlit"//typinout(n),itau_w,
+        CALL histwrite_phy(nid_isccp,"nsunlit"//verticaxe(n),itau_w,
      .                 nbsunlit(1,:,n))
 c
@@ -55,6 +55,6 @@
 cIM: champ 2d : (lon,lat) pour un tau et une pc fixes
 c
-         CALL histwrite_phy(nid_isccp,pclev(l)//taulev(k)//typinout(n),
-     .                  itau_w,fq_is_true(:,:,l,n))
+         CALL histwrite_phy(nid_isccp,pclev(l)//taulev(k)//verticaxe(n),
+     .                  itau_w,fq_is_true(:,k,l,n))
          ENDDO !l
         ENDDO !k
@@ -62,5 +62,5 @@
 c       print*,'n=',n,' write_ISCCP avant nbsunlit'
 cym        CALL gr_fi_ecrit(1, klon,iim,jjmp1,nbsunlit(1,:,n),zx_tmp_2d)
-        CALL histwrite_phy(nid_isccp,"nsunlit"//typinout(n),
+        CALL histwrite_phy(nid_isccp,"nsunlit"//verticaxe(n),
      .                 itau_w,nbsunlit(1,:,n))
 c