Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.192.142.29.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.192.142.29.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 192,jjm=142,llm=29,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.192.144.29.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.192.144.29.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 192,jjm=144,llm=29,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.48.32.19.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.48.32.19.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 48,jjm=32,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.48.32.19.t6
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.48.32.19.t6	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 48,jjm=32,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=6)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.72.45.19.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.72.45.19.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 72,jjm=45,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.96.71.19.t13
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.96.71.19.t13	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 96,jjm=71,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=13)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.96.71.19.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.96.71.19.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 96,jjm=71,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.96.72.19.t12
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.96.72.19.t12	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 96,jjm=72,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=12)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/dimensions.96.72.19.t4
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/dimensions.96.72.19.t4	(revision 525)
+++ 	(revision )
@@ -1,16 +1,0 @@
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
-
-      INTEGER iim,jjm,llm,ndm
-
-      PARAMETER (iim= 96,jjm=72,llm=19,ndm=1)
-
-      integer nqmx
-      parameter (nqmx=4)
-
-c-----------------------------------------------------------------------
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/makdim
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/grid/dimension/makdim	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/grid/dimension/makdim	(revision 844)
@@ -48,11 +48,11 @@
 
 cat << EOF > $fichdim
-c-----------------------------------------------------------------------
-c   INCLUDE 'dimensions.h'
-c
-c   dimensions.h contient les dimensions du modele
-c   ndm est tel que iim=2**ndm
-c   nqmx est la dimension de la variable traceur q
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
+!   INCLUDE 'dimensions.h'
+!
+!   dimensions.h contient les dimensions du modele
+!   ndm est tel que iim=2**ndm
+!   nqmx est la dimension de la variable traceur q
+!-----------------------------------------------------------------------
 
       INTEGER iim,jjm,llm,ndm
@@ -63,6 +63,7 @@
       parameter (nqmx=$nqmx)
 
-c-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
 EOF
+
 fi
 